$hmupper_notes = \notes \relative c' {

\property Staff.midiInstrument = "harmonica"

\clef violin;
\key g \major;
\time 2/4;

R2*2 |

\repeat volta 2 
{
	<
		\context Voice=va
		{
			s2*2 |

			\stemdown

			h4 c |
			h2 |

			s2 |

			h2 ~ |
			h2 ~ |
			h2 |

			s2*2 |

			h4 c |
			h2 |

			s2 |

			h2 ~ |
			h2 |
		}

		\context Voice=vb
		{
			\stemup

			<c2 e(> |
			<a )d> ~ |
			d ~ |
			d( |

			<a4 c> <c e> |
			dis8 e fis4 |
			e dis |
			)e2 ~ |
			
			<c e(> |
			<a )d> ~ |
			d ~ |
			d( |

			<a4 c> <c e> |
			dis8 e fis4 |
			e dis |
			<g,8 h )e> r r4 |
		}
	>
	<gis'4 h(> <e8 gis> <fis a> |
	<dis8 fis> <e gis> <)fis4 a> |
	<gis4 h(> <e8 gis> <fis a> |
	<dis8 fis> <e gis> <)fis4 a> |

	<eis4 gis(> <cis8 eis> <dis fis> |
	<his dis> <cis eis> <)his4 dis fis> |
	<eis4 gis(> <cis8 eis> <dis fis> |
	<his dis> <cis eis> <)his4 dis fis> |

	<
		\context Voice=va
		{
			\stemdown

			cis2 ~ |
			cis |
			cis4
		}

		\context Voice=vb
		{
			\stemup

			eis4( e |
			eis e |
			)eis
		}
	>
	cis ~ |
	cis2 |
	cis |

	\clef bass;

	<
		\context Voice=va
		{
			\stemboth

			<fis, ais(> |
			<gis h> |
			<g! b cis> |
			<)g h!( d> ~ |
			<g )b d> ~ |

			\stemdown

			g( |
			fis4 e |
			)fis2 ~ |
			fis4
		}

		\context Voice=vb
		{
			s2*5 |

			\stemup

			<a2 d> ~ |
			<a d> ~ |
			<a d> ~ |
			<a4 d>
		}
	>
	r4 |

	R2*4
}

\clef violin;

<
	\context Voice=va
	{
		\stemboth

		<c'2 e(> |
		<a )d> ~ |

		\stemup

		d ~ |
		d |

		\stemboth

		<a4( c> <c e> |

		\stemup

		dis )fis |

		e8( fis g4 ~ |
		g8 fis )g4 |

		a8( fis g4 ~ |
		g8 fis )g4 |

		\stemboth

		<d g> <e g a> |
		<d g h> <e b' e> |
		<a d> <g h! d g> |

		\stemup

		c4 <b cis> |
		<h! d>
	}

	\context Voice=vb
	{
		s2*2 |

		\stemdown

		h,4 c |
		h2 |

		s2 |

		h2 |

		h4 e |
		d <cis e> |

		d d |
		c! cis |

		s2*3 |

		g'2 ~ |
		g4
	}
>
r4 |

<c,4 d fis> r |
<h d g> r |

R2*7 |

r4 <c( es> |
<h d> <a c> |
<)g h> <c( es> |
<h d> <)a c> |

h2 ~ |
h ~ |
h ~ |
h-\fermata |

\bar "||";

\clef bass;

<g4 h> r |
R2*5

<
	\context Voice=va
	{
		\stemup

		h4( d8 c |
		)h2 |
	}

	\context Voice=vb
	{
		\stemdown

		g4 fis ~ |
		fis2 |
	}
>

<g4 h> r |
R2*5

<
	\context Voice=va
	{
		\stemup

		h4( d8 c |
		)h2 |
	}

	\context Voice=vb
	{
		\stemdown

		g4 fis ~ |
		fis2 |
	}
>

\repeat volta 2
{
	h2 ~ |
	<h4 d(> <ais )cis> |

	h2 ~ |
	<h4 d(> <ais )cis> |

	h2 |
	
	<
		\context Voice=va
		{
			\stemdown

			d2 |
			s2*2 |
		}

		\context Voice=vb
		{
			\stemup

			d4..( e16 |

			\stemboth

			<d4 fis> <a cis> ~ |
			<a d> )a |
		}
	>
}

\repeat volta 2
{
	\clef violin;

	<
		\context Voice=va
		{
			\stemdown

			a2 ~ |
			a2 |

			d2 ~ |
			d4 cis |
			s2 |
			c!2 |
			d |
			cis |
			h4 ais |
		}

		\context Voice=vb
		{
			\stemup

			a4( d ~ |
			<d fis> <)cis e> |

			d( a' |
			f )e |

			<a,( d> <h f'> |
			e )g |

			fis!2 |
			e |

			[e8( d ~ d )cis] |
		}
	>
	h2 |
}

<
	\context Voice=va
	{
		\stemboth

		<h fis' a(> ~ |
		<h e g!> |

		\stemup

		fis'4 h, ~ |
		h )e |

		\stemboth

		<h2 fis' a(> ~ |
		<h e gis> |

		\stemup

		fis'4 h, ~ |
		h )e |

		\stemboth

		<h2 fis' a(> |
		<h e g!> |

		\stemup

		fis'4 h, ~ |
		h )e |

		\stemboth

		<h2 fis' a(> ~ |
		<h e gis> |

		\stemup

		fis'4 h, ~ |
		h )e-\fermata |
	}

	\context Voice=vb
	{
		s2*2

		\stemdown

		h2 ~ |
		h |

		s2*2

		h2 ~ |
		h |

		s2*2

		h2 ~ |
		h |

		s2*2

		<a2 h> |
		<gis h-\fermata> |
	}
>

\bar "||";

<
	\context Voice=va
	{
		s2*2 |

		\stemdown

		h4 c |
		h2 |

		s2 |

		h2 ~ |
		h2 |

		s2 |
	}

	\context Voice=vb
	{
		\stemup

		<c e(> |
		<a )d> ~ |
		d ~ |
		d( |

		<a4 c> <c e> |
		dis8 e fis4 |
		e dis |
		<g,8 h )e> r r4 |
	}
>
<gis'4 h(> <e8 gis> <fis a> |
<dis8 fis> <e gis> <)fis4 a> |
<gis4 h(> <e8 gis> <fis a> |
<dis8 fis> <e gis> <)fis4 a> |

<eis4 gis(> <cis8 eis> <dis fis> |
<his dis> <cis eis> <)his4 dis fis> |
<eis4 gis(> <cis8 eis> <dis fis> |
<his dis> <cis eis> <)his4 dis fis> |

<
	\context Voice=va
	{
		\stemdown

		cis2 ~ |
		cis |
		cis4
	}

	\context Voice=vb
	{
		\stemup

		eis4( e |
		eis e |
		)eis
	}
>
cis ~ |
cis2 |
cis |

\clef bass;

<
	\context Voice=va
	{
		\stemboth

		<fis, ais(> |
		<gis h> |
		<g! b cis> |
		<)g h! d> ~ |
		<g b d> ~ |

		\stemdown

		g( |
		fis4 e |
		)fis2 ~ |
		fis4
	}

	\context Voice=vb
	{
		s2*5 |

		\stemup

		<a2 d> ~ |
		<a d> ~ |
		<a d> ~ |
		<a4 d>
	}
>
r4 |

R2*4

\clef violin;

<
\context Voice=va
{
	\stemboth

	<c'2 e(> |
	<a )d> ~ |

	\stemup

	d ~ |
	d |

	\stemboth

	<a4( c> <c e> |

	\stemup

	dis )fis |

	e8( fis g4 ~ |
	g8 fis )g4 |

	a8( fis g4 ~ |
	g8 fis )g4 |

	\stemboth

	<d g> <e g a> |
	<d g h> <e b' e> |
	<a d> <g h! d g> |

	\stemup

	c4 <b cis> |
	<h! d>
}

\context Voice=vb
{
	s2*2 |

	\stemdown

	h,4 c |
	h2 |

	s2 |

	h2 |

	h4 e |
	d <cis e> |

	d d |
	c! cis |

	s2*3 |

	g'2 ~ |
	g4
}
>
r4 |

<c,4 d fis> r |
<h d g> r |

R2*7 |

r4 <c( es> |
<h d> <a c> |
<)g h> <c( es> |
<h d> <)a c> |

h2 ~ |
h ~ |
h ~ |
h-\fermata |

\bar "|.";

}


$hmlower_notes = \notes \relative a, {

\property Staff.midiInstrument = "harmonica"

\clef bass;
\key g \major;
\time 2/4;

R2*2 |

\repeat volta 2
{
	<a2( a'> |
	<c fis> |
	<h4 g'> <a fis'> |
	<)g2 g'> |

	<
		\context Voice=ua
		{
			\stemdown

			a2 |
			h |
			s |
			<e, g'> |
		}

		\context Voice=ub
		{
			\stemup

			e'4( a |
			fis )a |

			\stemboth

			<e g(> <)h fis'> |

			\stemup

			g'2 |
		}
	>

	<a2( a'> |
	<c fis> |
	<h4 g'> <a fis'> |
	<)g2 g'> |

	<
		\context Voice=ua
		{
			\stemdown

			a2 |
			h |
		}

		\context Voice=ub
		{
			\stemup

			e4( a |
			fis )a |
		}
	>

	<e g(> <)h fis'> |
	e,8 r r4 |

	<
		\context Voice=ua
		{
			\stemdown

			e'2 |
			h |
			e |
			h4 s |
			cis2 |
			gis |
			cis |
			gis |
		}

		\context Voice=ub
		{
			\stemdown

			s4 gis'4 |
			s fis |
			s gis |
			s <his, fis'> |
			s eis |
			s s |
			s eis |
			s s |
		}

		\context Voice=uc
		{
			\stemup

			r8 [h' ~ <gis h> h] |
			r [h ~ <fis h> h] |
			r [h ~ <gis h> h] |
			r [h fis a] |
			r [gis ~ <eis gis> gis] |
			r [gis ~ <dis gis> gis] |
			r [gis ~ <eis gis> gis] |
			r [gis ~ <dis gis> gis] |
		}
	>

	<cis4 gis'(> <a! g'> |
	<cis gis'> <)a g'> |

	<cis eis gis(> <a! e' g> |
	<cis eis gis> <)a e'g> |

	<cis2 eis gis> |
	<fis,( cis'> |
	<eis cis'> |
	<es es'> |
	<)d d'> ~ |
	<d d'> ~ |
	<d d'> ~ |
	<d d'> ~ |
	<d d'> ~ |
	<d4 d'> r |

	R2*4 |
}

<a'2( a'> |
<c fis> |
<h4 g'> <a fis'> |
<)g2 g'> |

<
	\context Voice=ua
	{
		\stemdown

		a2 |
		h |
	}

	\context Voice=ub
	{
		\stemup

		e4( a |
		fis )a |
	}
>

<e4 g> <cis a'> |
<d h'> <g b> |

<fis a> <f h!> |

<
	\context Voice=ua
	{
		\stemdown

		e es |
		<d h'> <cis a'> |

		s2*3 |

		d2 ~ |
		d |
	}

	\context Voice=ub
	{
		\stemup

		g2 |
		%FIXME
		\property Voice.forceHorizontalShift=1
		g ~ |
		\property Voice.forceHorizontalShift=0
		
		\stemboth

		<d4 g h> <g b cis> |
		<fis a d> <f g h! d> |
		<e g c> <es g b> |

		\stemup

		<g h!> r |
		s2 |
	}
>

<g,2 d'> ~ |
<g d'> ~ |
<g4 d'> r |

R2*5 |

r4 <c es(> |
<h d> <a c> |
<g )h> <c es(> |
<h d> <a )c> |

<g d' g> r |
<g d' g> r |
<g d' g> r |
<g d' g> r-\fermata |

\bar "||";

<e e'> r |
R2*5 |

<
	\context Voice=ua
	{
		\stemdown

		e'4( a, |
		)h2 |
	}

	\context Voice=ub
	{
		\stemup

		e2 ~ |
		e4( )dis |
	}
>

<e,4 e'> r |
R2*5 |

<
	\context Voice=ua
	{
		\stemdown

		e'4( a, |
		)h2 |
	}

	\context Voice=ub
	{
		\stemup

		e2 ~ |
		e4( )dis |
	}
>

\repeat volta 2
{
	<h2 d! fis> ~ |
	<h4 d fis> <fis fis'> |

	<h2 d fis> ~ |
	<h4 d fis> <fis fis'> |

	<h2 d fis> |
	<h4 fis'(> <b )g'> |

	<
		\context Voice=ua
		{
			\stemdown

			a2 |
			d |
		}

		\context Voice=ub
		{
			\stemup

			a'4( g |
			)fis2 |
		}
	>
}

\repeat volta 2
{
	<d2 fis> |

	<
		\context Voice=ua
		{
			\stemdown

			a |
			d ~ |
			<d4 a'> s |
			<d f> g, |
			c! e |

			s2*2 |

			h4 e |
			<h2 d> |
		}

		\context Voice=ub
		{
			\stemup

			r4 g' |
			f2( |

			\stemboth

			s4 <)a, g'> |

			\stemup

			s g' ~ |
			g2 |

			\stemboth

			fis! |
			<fis, fis'> ~ |

			\stemup

			fis' ~ |
			fis |
		}
	>
}

h2( |
e |
<h a'> |
<)e g> |

h2( |
e |
<h a'> |
<)e gis> |

h2 |
e |
<h a'> |
<e g!> |

h( |
e |
h ~ |
<)e, h' e-\fermata>

\bar "||";

<a2( a'> |
<c fis> |
<h4 g'> <a fis'> |
<)g2 g'> |

<
	\context Voice=ua
	{
		\stemdown

		a2 |
		h |
	}

	\context Voice=ub
	{
		\stemup

		e4( a |
		fis )a |
	}
>

<e g(> <)h fis'> |
e,8 r r4 |

<
	\context Voice=ua
	{
		\stemdown

		e'2 |
		h |
		e |
		h4 s |
		cis2 |
		gis |
		cis |
		gis |
	}

	\context Voice=ub
	{
		\stemdown

		s4 gis'4 |
		s fis |
		s gis |
		s <his, fis'> |
		s eis |
		s s |
		s eis |
		s s |
	}

	\context Voice=uc
	{
		\stemup

		r8 [h' ~ <gis h> h] |
		r [h ~ <fis h> h] |
		r [h ~ <gis h> h] |
		r [h fis a] |
		r [gis ~ <eis gis> gis] |
		r [gis ~ <dis gis> gis] |
		r [gis ~ <eis gis> gis] |
		r [gis ~ <dis gis> gis] |
	}
>

<cis4 gis'(> <a! g'> |
<cis gis'> <)a g'> |

<cis eis gis(> <a! e' g> |
<cis eis gis> <)a e' g> |

<cis2 eis gis> |
<fis,( cis'> |
<eis cis'> |
<es es'> |
<)d d'> ~ |
<d d'> ~ |
<d d'> ~ |
<d d'> ~ |
<d d'> ~ |
<d4 d'> r |

R2*4 |

<a'2( a'> |
<c fis> |
<h4 g'> <a fis'> |
<)g2 g'> |

<
	\context Voice=ua
	{
		\stemdown

		a2 |
		h |
	}

	\context Voice=ub
	{
		\stemup

		e4( a |
		fis )a |
	}
>

<e4 g> <cis a'> |
<d h'> <g b> |

<fis a> <f h!> |

<
	\context Voice=ua
	{
		\stemdown

		e es |
		<e h'> <cis a'> |

		s2*3 |

		d2 ~ |
		d |
	}

	\context Voice=ub
	{
		\stemup

		g2 |
		%FIXME
		\property Voice.forceHorizontalShift=1
		g ~ |
		\property Voice.forceHorizontalShift=0
		
		\stemboth

		<d4 g h> <g b cis> |
		<fis a d> <f g h! d> |
		<e g c> <es g b> |

		\stemup

		<g h!> r |
		s2 |
	}
>

<g,2 d'> ~ |
<g d'> ~ |
<g4 d'> r |

R2*5 |

r4 <c es(> |
<h d> <a c> |
<g )h> <c es(> |
<h d> <a )c> |

<g d' g> r |
<g d' g> r |
<g d' g> r |
<g d' g> r\fermata |

\bar "|.";
}
